History

#1 - 18/09/2015 05:13 PM - Alexis Jeandet

- Status changed from New to In Progress

J'ai ajouté la fonction:

bool cacheIsEnable();

Il faut noter aussi que cette fonction vérifie si le DCache et le ICache sont activés en méme temps.

Le patch pour cette fonction:

diff -r 039eabb0d39f dsu3plugin/dsu3plugin.cpp

-—- a/dsu3plugin/dsu3plugin.cpp Tue Sep 15 09:03:48 2015 +0200
+++ b/dsu3plugin/dsu3plugin.cpp Fri Sep 18 17:03:22 2015 +0200

@@ -170,6 +170,18 @@
return setCacheEnable (true);

+bool dsu3plugin::cacheIsEnable ()
+{

=

if (parent==NULL)
return false;

if (DSUBASEADDRESS == (unsigned int)-1)
DSUBASEADDRESS = 0x90000000;
WriteRegs (uIntlist ()<<2,DSUBASEADDRESS+0x400024);

return ((reg&0x0F)==0x0F);

+ + + A+ o+ A+ + + +

bool dsu3plugin::setCacheEnable (bool enabled)
{
if (parent==NULL)
diff -r 039%9eabb0d39f dsu3plugin/dsu3plugin.h

unsigned int reg = ReadReg (DSUBASEADDRESS+0x700000);

—---— a/dsu3plugin/dsu3plugin.h Tue Sep 15 09:03:48 2015 +0200
+++ b/dsu3plugin/dsu3plugin.h Fri Sep 18 17:03:22 2015 +0200

@@ -49,6 +49,7 @@
bool configureTarget ();
bool cacheDisable();
bool cacheEnable();
+ bool cachelIsEnable();
bool setCacheEnable (bool enabled);
bool flashTarget ();
void run();

20/03/2024

unsigned int DSUBASEADDRESS = SocExplorerEngine::self () ->getEnumDeviceBaseAddress (this, 0x01

’

0x004,0);
